Name:		dhcpd-pools
Version:	3.0
Release:	2%{?dist}
Summary:	ISC dhcpd lease analysis and reporting
License:	BSD
URL:		http://dhcpd-pools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	dhcpd-pools-gnulib.patch

BuildRequires:	uthash-devel, gnulib-devel
BuildRequires:	gcc, automake, autoconf

%description
This is for ISC DHCP shared network and pool range usage analysis.  Purpose
of command is to count usage ratio of each IP range and shared network pool
which ISC dhcpd is in control of. Users of the command are most likely ISPs
and other organizations that have large IP space.

%prep
%setup -q

%build
# needed to handle gnulib/glibc compatibility
gnulib-tool --update
gnulib-tool --add-import

# handle http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commit;h=ba4b91abd5dbe486c71465b0968aa1a4a1198bd7
patch -p1 < %{SOURCE1}

autoreconf -fiv

# configure to match OS install defaults
# add -std=c99 for gnulib on EPEL7
%configure \
    CC="%{__cc} -std=c99" \
    --with-dhcpd-conf=%{_sysconfdir}/dhcp/dhcpd.conf \
    --with-dhcpd-leases=%{_localstatedir}/lib/dhcpd/dhcpd.leases

make %{?_smp_mflags}

%install
%make_install
# make install installs docs, let rpmbuild handle it
rm -rf %{buildroot}%{_docdir}/%{name}

%files
%license COPYING
%doc README THANKS TODO AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/%{name}/

%changelog
* Mon Mar 09 2020 Chris Adams <linux@cmadams.net> - 3.0-2
- fix some notes from review request
- add patch for gnulib autoconf
- add -std=c99 for gnulib on EPEL7

* Mon Jan 27 2020 Chris Adams <linux@cmadams.net> - 3.0-1
- initial RPM

